Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Interface OWLlinkResponseElementHandler<O extends Response>

All Superinterfaces:
  OWLlinkElementHandler<O>

All Known Implementing Classes:
  AbstractConfirmationElementHandler, AbstractOWLlinkHierarchyElementHandler, AbstractOWLlinkKBResponseElementHandler, AbstractOWLlinkResponseElementHandler, AbstractOWLlinkSetOfSynsetsElementHandler, AbstractOWLlinkSynsetsElementHandler, AbstractSetOfOWLObjectResponseElementHandler, OWLlinkBooleanResponseElementHandler, OWLlinkClassesElementHandler, OWLlinkClassHierarchyElementHandler, OWLlinkClassSynsetsElementHandler, OWLlinkDataPropertyHierarchyElementHandler, OWLlinkDataPropertySynonymsElementHandler, OWLlinkDataPropertySynsetsElementHandler, OWLlinkDescriptionElementHandler, OWLlinkIndividualSynonymsElementHandler, OWLlinkKBElementHandler, OWLlinkObjectPropertyHierarchyElementHandler, OWLlinkObjectPropertySynsetsElementHandler, OWLlinkOKElementHandler, OWLlinkPrefixesElementHandler, OWLlinkSetOfAnnotationPropertiesElementHandler, OWLlinkSetOfClassesElementHandler, OWLlinkSetOfClassSynsetsElementHandler, OWLlinkSetOfDataPropertiesElementHandler, OWLlinkSetOfDataPropertySynsetsElementHandler, OWLlinkSetOfDatatypesElementHandler, OWLlinkSetOfIndividualsElementHandler, OWLlinkSetOfIndividualSynsetsElementHandler, OWLlinkSetOfLiteralsElementHandler, OWLlinkSetOfObjectPropertiesElementHandler, OWLlinkSetOfObjectPropertySynsetsElementHandler, OWLlinkSettingsElementHandler, OWLlinkStringResponseElementHandler, OWLlinkSyntacticalErrorElementHandler, OWLlinkUnknownResponseElementHandler

    public interface OWLlinkResponseElementHandler<O extends Response>

extends OWLlinkElementHandler<O>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 25.10.2009

Method Summary

Methods inherited from interface org.semanticweb.owlapi.owllink.parser.OWLlinkElementHandler
`getOWLLinkObject, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD